Page MenuHomePhabricator

Add metrics for master queries on HTTP GET/HEAD
Closed, ResolvedPublic

Description

DBPerformance tracks when a request uses a master DB on GET but not how many times. It would be useful to get metrics on both:
a) Queries per minute
b) Queries done even in post-send updates

Alternately, logstash can be used, so we'd also have the SQL queries (in simplified form).

Event Timeline

aaron created this task.May 24 2017, 6:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2017, 6:53 AM
aaron renamed this task from Add statsd guage metrics for master queries on HTTP GET/HEAD to Add metrics for master queries on HTTP GET/HEAD.May 25 2017, 7:06 PM
aaron updated the task description. (Show Details)
aaron triaged this task as Low priority.May 26 2017, 4:05 PM
aaron moved this task from Inbox to Next In This Quarter / Jan-Mar 2020 on the Performance-Team board.

Change 360951 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Record TransactionProfiler violations beyond the first-by-type

https://gerrit.wikimedia.org/r/360951

Change 360952 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Record PostSend master queries via TransactionProfiler

https://gerrit.wikimedia.org/r/360952

Change 360951 merged by jenkins-bot:
[mediawiki/core@master] Record TransactionProfiler violations beyond the first-by-type

https://gerrit.wikimedia.org/r/360951

Change 360952 merged by jenkins-bot:
[mediawiki/core@master] Record PostSend master queries via TransactionProfiler

https://gerrit.wikimedia.org/r/360952

Krinkle added a subscriber: Krinkle.

@aaron Once this rolls out, the metrics can be read in Logstash, is that right? Would be nice to have an brief initial overview of the query for that data once is comes in.

aaron added a comment.Aug 23 2017, 7:11 PM

CommonSettings.php will still need updating.

Change 377412 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[operations/mediawiki-config@master] Enable logging of post-send DB updates

https://gerrit.wikimedia.org/r/377412

Change 377412 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable logging of post-send DB updates

https://gerrit.wikimedia.org/r/377412

Change 381183 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Distinguish GET from POST for PostSend expectations

https://gerrit.wikimedia.org/r/381183

Change 381183 merged by jenkins-bot:
[mediawiki/core@master] Distinguish GET from POST for PostSend expectations

https://gerrit.wikimedia.org/r/381183

Krinkle closed this task as Resolved.Oct 3 2017, 10:40 PM